import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { JobComponent, ResultComponent, AgentComponent, PayloadComponent } from './components/tables';
//import { AgentInfoDialogComponent } from './core/tables/dialogs/agent-info-dialog.component';

const routes: Routes = [
  { path: '', redirectTo: 'agents', pathMatch: 'full' },
  { path: 'agents', component: AgentComponent },
  { path: 'jobs', component: JobComponent },
  { path: 'payloads', component: PayloadComponent },
  { path: 'results', component: ResultComponent },
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
