import { Component, Inject } from '@angular/core';
import { MAT_DIALOG_DATA } from '@angular/material/dialog';
import { AgentModel } from '../../../models/agent.model';
import { EventEmitter } from '@angular/core';

@Component({
    selector: 'agent-info-dialog',
    templateUrl: 'agent-info-dialog.component.html',
    styleUrls: ['../base-info-dialog.component.less']
})
export class AgentInfoDialogComponent {
    is_preview = true;
    onSave = new EventEmitter();

    constructor(@Inject(MAT_DIALOG_DATA) public data: AgentModel) { }

    updateAgent() {
        console.log(this.data);
        this.onSave.emit(this.data);
    }
}