import { Component, Inject } from '@angular/core';
import { MAT_DIALOG_DATA } from '@angular/material/dialog';
import { ResultModel } from '../../../models/result.model';

@Component({
    selector: 'result-info-dialog',
    templateUrl: 'result-info-dialog.component.html',
    styleUrls: ['../base-info-dialog.component.less']
})
export class ResultInfoDialogComponent {
    decodedResult: string;

    constructor(@Inject(MAT_DIALOG_DATA) public data: ResultModel) {
        if (data.result !== null) {
            this.decodedResult = new TextDecoder().decode(new Uint8Array(data.result))
        } else {
            this.decodedResult = ""
        }
    }
}