import { AgentModel } from './agent.model';
import { JobModel } from './job.model';
import { PayloadModel } from './payload.model';
import { ResultModel } from './result.model';

export * from './agent.model';
export * from './result.model';
export * from './job.model';
export * from './payload.model';

export interface UTCDate {
    secs_since_epoch: number,
    nanos_since_epoch: number
}

export type Area = "agents" | "jobs" | "map" | "payloads";

export type ApiModel = AgentModel | JobModel | ResultModel | PayloadModel | Empty;

export interface Empty { }
