pub use u_lib::config::{AccessEnv, DBEnv, EndpointsEnv};

#[fixture]
pub fn env_default() -> EndpointsEnv {
    EndpointsEnv::load()
}

#[fixture]
pub fn env_access() -> AccessEnv {
    AccessEnv::load().unwrap()
}

#[fixture]
pub fn env_db() -> DBEnv {
    DBEnv::load().unwrap()
}
