#[macro_export]
macro_rules! unwrap_enum {
    ($src:expr, $t:path) => {
        if let $t(result) = $src {
            result
        } else {
            panic!("wrong type '{}'", stringify!($t))
        }
    };
}
