#UNKI

Контролируем собственные устройства (компы, ноут, телефон, ящики) через веб-интерфейс сервера, 
к которому подключаются разбросанные по устройствам агенты.
Ничто не должно нарушать работоспособность и коммуникацию агентов с сервером, 
поэтому подключение должно быть защищено от прослушки, модификации.

## Установка агента на устройство (u_run)
Утилита u_run осуществляет первичную сборку инфы о платформе, скачивание агента, 
его установку и запуск. Также она

Для каждого устройства компилируется собственная версия агента в зависимости от ОС, процессора, битности и т.д..
В момент компиляции в агент встраивается сгенерированный уникальный сертификат, по которому будет происходить общение.

Исполняемый код шифруется блочным шифром (непопулярным), ключ получает при запуске и подключении к серверу.

## Взаимодействие (u_agent)
Агент висит в памяти в виде демона/сервиса/модуля ядра, запуск производится во время старта системы.
Раз в 5 секунд агент пингует сервер, показывая свою жизнеспособность, 
а также запрашивая выставленные инструкции:

* скачать новый список джоб
* отправить результаты текущих джоб


## Управление (u_panel)
Панель управления для обменистрирования. 
Представляет собой u_agent с веб-сервером, транслирующим команды u_server-у.
Запускается на localhost
Может быть использован как консольная утилита