import { UTCDate } from ".";

export interface ResultModel {
    agent_id: string,
    alias: string,
    created: UTCDate,
    id: string,
    job_id: string,
    result: number[] | null,
    state: "Queued" | "Running" | "Finished",
    retcode: number | null,
    updated: UTCDate,
}

export interface AssignedJobByIdModel {
    job_id: string,
    agent_id: string
}