mod agent;
mod jobs;
mod payload;
#[cfg(feature = "server")]
pub mod schema;
mod stats;

pub use crate::models::{agent::*, jobs::*, payload::*, stats::*};
use serde::Deserialize;
use strum::{Display as StrumDisplay, EnumString};

#[derive(Default, Debug, StrumDisplay, EnumString, Deserialize)]
pub enum Brief {
    Yes,
    #[default]
    Auto,
    No,
}
