#!/bin/bash
set -ex
source $(dirname $0)/rootdir.sh #set ROOTDIR
ARGS=$@
STATIC_LIBS=./static
DOCKER_EXCHG=/musl-share
IMAGE=unki/musllibs
if [[ ! $(find ./static ! -empty -type d) ]]; then
    mkdir -p $STATIC_LIBS
    cd $ROOTDIR/images && docker build -t $IMAGE . -f musl-libs.Dockerfile
    docker run \
        -v $ROOTDIR/$STATIC_LIBS:$DOCKER_EXCHG \
        -w /volume \
        -it \
        $IMAGE \
        bash -c "[[ \$(ls -A $DOCKER_EXCHG) ]] || cp /musl/. $DOCKER_EXCHG -r"
fi
