#!/bin/bash
set -xe
source $(dirname $0)/rootdir.sh #set ROOTDIR

SERVER="ortem"
REMOTE_DIR=/srv/usrv
REMOTE_PATH=$SERVER:$REMOTE_DIR
RSYNC="rsync -arzh --progress"

ssh $SERVER mkdir -p $REMOTE_DIR/data

$RSYNC $ROOTDIR/target/x86_64-unknown-linux-musl/release/{u_server,migrator} $REMOTE_PATH/
$RSYNC $ROOTDIR/.env* $REMOTE_PATH/
$RSYNC $ROOTDIR/deploy/* $REMOTE_PATH/
$RSYNC $ROOTDIR/images/{u_server,u_db}.Dockerfile $REMOTE_PATH/
$RSYNC $ROOTDIR/scripts/u_db_entrypoint.sh $REMOTE_PATH/

ssh $SERVER "cd $REMOTE_DIR/ && sudo ./start_server.sh"